class toEditWidget

# class toEditWidget | This is an abstract base class for any widget (Not included in object) that wants to access copy, cut, paste, open, save commands of the user interface. More...
Definition | `#include <toeditwidget.h>`
Inherited by | resultCols, toHighlightedText, toListView, toMarkedText, toResultConstraint, toResultContentEditor, toResultDepend, toResultField, toResultIndexes, toResultLong, toResultPlan, toResultReferences, toResultStats, toResultView, toTextView
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- class editHandler

#### Public Methods

- toEditWidget ()
- toEditWidget (bool open,bool save,bool print, bool undo,bool redo, bool cut,bool copy,bool paste, bool search, bool selectAll,bool readAll)
- virtual ~toEditWidget ()
- void setEdit (bool open,bool save,bool print, bool undo,bool redo, bool cut,bool copy,bool paste, bool search, bool selectAll,bool readAll)
- virtual bool editOpen (QString file=QString::null)
- virtual bool editSave (bool askfile)
- virtual void editPrint (void)
- virtual void editUndo (void)
- virtual void editRedo (void)
- virtual void editCut (void)
- virtual void editCopy (void)
- virtual void editPaste (void)
- virtual void editSelectAll (void)
- virtual void editReadAll (void)
- void openEnabled (bool val)
- void saveEnabled (bool val)
- void printEnabled (bool val)
- void undoEnabled (bool val)
- void redoEnabled (bool val)
- void cutEnabled (bool val)
- void copyEnabled (bool val)
- void pasteEnabled (bool val)
- void searchEnabled (bool val)
- void selectAllEnabled (bool val)
- void readAllEnabled (bool val)
- bool openEnabled (void)
- bool saveEnabled (void)
- bool printEnabled (void)
- bool undoEnabled (void)
- bool redoEnabled (void)
- bool cutEnabled (void)
- bool copyEnabled (void)
- bool pasteEnabled (void)
- bool searchEnabled (void)
- bool selectAllEnabled (void)
- bool readAllEnabled (void)
- virtual void searchTop (void)
- virtual bool searchNext (toSearchReplace *search)
- virtual void searchReplace (const QString &newData)
- virtual bool searchCanReplace (bool all)
- virtual void receivedFocus (void)
- virtual void lostFocus (void)

#### Public Static Methods

- static void addHandler (editHandler *handler)
- static void delHandler (editHandler *handler)

## Detailed Description

This is an abstract base class for any widget (Not included in object) that wants to access copy, cut, paste, open, save commands of the user interface.

editHandler (class) | ### editHandler

Class used to extent how to enable/disable parts of the interface as focus changes.

toEditWidget () | ### toEditWidget

Empty constructor, all functions are disabled.

toEditWidget (bool open,bool save,bool print, bool undo,bool redo, bool cut,bool copy,bool paste, bool search, bool selectAll,bool readAll) | ### toEditWidget

Specified constructor, all functions are specified in the constructor.

~toEditWidget () | ### ~toEditWidget

[virtual]

void setEdit (bool open,bool save,bool print, bool undo,bool redo, bool cut,bool copy,bool paste, bool search, bool selectAll,bool readAll) | ### setEdit

Specify new enabled functions.

bool editOpen (QString file=QString::null) | ### editOpen

[virtual]

Perform an open on this widget. Default NOP.

Parameters:

file | The file to open, if not specified prompt for file.

bool editSave (bool askfile) | ### editSave

[virtual]

Perform a save on this widget. Default NOP.

Parameters:

askfile | Ask filename even if default filename is available.

void editPrint (void) | ### editPrint

[virtual]

Print this widgets contents. Default NOP.

void editUndo (void) | ### editUndo

[virtual]

Perform undo. Default NOP.

void editRedo (void) | ### editRedo

[virtual]

Perform redo. Default NOP.

void editCut (void) | ### editCut

[virtual]

Perform cut. Default NOP.

void editCopy (void) | ### editCopy

[virtual]

Perform copy. Default NOP.

void editPaste (void) | ### editPaste

[virtual]

Perform paste. Default NOP.

void editSelectAll (void) | ### editSelectAll

[virtual]

Select all contents. Default NOP.

void editReadAll (void) | ### editReadAll

[virtual]

Read all available data. Default NOP.

void openEnabled (bool val) | ### openEnabled

Set if open is enabled.

void saveEnabled (bool val) | ### saveEnabled

Set if save is enabled.

void printEnabled (bool val) | ### printEnabled

Set if print is enabled.

void undoEnabled (bool val) | ### undoEnabled

Set if undo is enabled.

void redoEnabled (bool val) | ### redoEnabled

Set if redo is enabled.

void cutEnabled (bool val) | ### cutEnabled

Set if cut is enabled.

void copyEnabled (bool val) | ### copyEnabled

Set if copy is enabled.

void pasteEnabled (bool val) | ### pasteEnabled

Set if paste is enabled.

void searchEnabled (bool val) | ### searchEnabled

Set if search is enabled.

void selectAllEnabled (bool val) | ### selectAllEnabled

Set if select all is enabled.

void readAllEnabled (bool val) | ### readAllEnabled

Set if read all is enabled.

bool openEnabled (void) | ### openEnabled

Check if open is enabled.

bool saveEnabled (void) | ### saveEnabled

Check if save is enabled.

bool printEnabled (void) | ### printEnabled

Check if print is enabled.

bool undoEnabled (void) | ### undoEnabled

Check if undo is enabled.

bool redoEnabled (void) | ### redoEnabled

Check if redo is enabled.

bool cutEnabled (void) | ### cutEnabled

Check if cut is enabled.

bool copyEnabled (void) | ### copyEnabled

Check if copy is enabled.

bool pasteEnabled (void) | ### pasteEnabled

Check if paste is enabled.

bool searchEnabled (void) | ### searchEnabled

Check if search is enabled.

bool selectAllEnabled (void) | ### selectAllEnabled

Check if select all is enabled.

bool readAllEnabled (void) | ### readAllEnabled

Check if read all is enabled.

void searchTop (void) | ### searchTop

[virtual]

Move to top of data

bool searchNext (toSearchReplace *search) | ### searchNext

[virtual]

Search for next entry

Returns: True if found, should select the found text.

void searchReplace (const QString &newData) | ### searchReplace

[virtual]

Replace entry with new data

bool searchCanReplace (bool all) | ### searchCanReplace

[virtual]

Check if data can be modified by search

Parameters:

all | If true can replace all, otherwise can replace right now.

void receivedFocus (void) | ### receivedFocus

[virtual]

Call this when this widget has received the focus. Must be called by the implementor.

void lostFocus (void) | ### lostFocus

[virtual]

Called when this widget has lost the focus. Don't forget to call parent when reimplemented.

void addHandler (editHandler *handler) | ### addHandler

[static]

Add a hook to be called every time focus changes.

void delHandler (editHandler *handler) | ### delHandler

[static]

Removed a hook from being called every time focus changes.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.